# PhasicFlow: cellMapper::CellIterator Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

cellMapper::CellIterator Class Reference

## Public Member Functions

| CellIterator (const HeadType &head, const NextType &next)
INLINE_FUNCTION_H int32x3 | numCells () const
INLINE_FUNCTION_H uint32 | start (int32 i, int32 j, int32 k) const
INLINE_FUNCTION_H uint32 | getNext (uint32 n) const
INLINE_FUNCTION_H uint32 | next (uint32 n) const

## Static Public Attributes

static constexpr uint32 | NoPos = 0xFFFFFFFF

## Private Attributes

HeadType | head_
NextType | next_

## Detailed Description

Definition at line 44 of file cellMapper.hpp.

## Constructor & Destructor Documentation

## CellIterator()

CellIterator | ( | const HeadType & | head,
|  | const NextType & | next
| ) |  |

inline

Definition at line 53 of file cellMapper.hpp.

## Member Function Documentation

## numCells()

INLINE_FUNCTION_H int32x3 numCells | ( |  | ) | const

inline

Definition at line 62 of file cellMapper.hpp.

References cellMapper::CellIterator::head_.

## start()

INLINE_FUNCTION_H uint32 start | ( | int32 | i,
|  | int32 | j,
|  | int32 | k
| ) |  | const

inline

Definition at line 66 of file cellMapper.hpp.

References cellMapper::CellIterator::head_.

## getNext()

INLINE_FUNCTION_H uint32 getNext | ( | uint32 | n | ) | const

inline

Definition at line 70 of file cellMapper.hpp.

References n, cellMapper::CellIterator::next_, and cellMapper::CellIterator::NoPos.

## next()

INLINE_FUNCTION_H uint32 next | ( | uint32 | n | ) | const

inline

Definition at line 75 of file cellMapper.hpp.

References n, and cellMapper::CellIterator::next_.

## Member Data Documentation

## head_

HeadType head_

private

Definition at line 47 of file cellMapper.hpp.

Referenced by cellMapper::CellIterator::numCells(), and cellMapper::CellIterator::start().

## next_

NextType next_

private

Definition at line 49 of file cellMapper.hpp.

Referenced by cellMapper::CellIterator::getNext(), and cellMapper::CellIterator::next().

## NoPos

constexpr uint32 NoPos = 0xFFFFFFFF

staticconstexpr

Definition at line 59 of file cellMapper.hpp.

Referenced by cellMapper::CellIterator::getNext().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/cellMapper.hpp